## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class FullNameCompositeProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.FullNameCompositeProvider

All Implemented Interfaces:
  ICompositeProvider, INameCompositeProvider

    public class FullNameCompositeProvider

extends java.lang.Object
implements INameCompositeProvider

Author:
  Hui Cao

Field Summary
`org.eclipse.swt.widgets.Composite` `compositeName`
`org.eclipse.swt.widgets.Label` `labelDBValue`
`org.eclipse.swt.widgets.Label` `labelOwnerValue`
`org.eclipse.swt.widgets.Text` `textName`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.INameCompositeProvider
`NONE, SHOW_COMMENT, SHOW_DATABASE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ICompositeProvider
`BORDER, GROUP`

Constructor Summary
`FullNameCompositeProvider()`

Method Summary
`org.eclipse.swt.widgets.Composite` `getComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.forms.widgets.FormToolkit formToolkit, int style)` return the visible part of this section and change the part's parent according to the parameter.
`org.eclipse.swt.widgets.Text` `getNameControl()`
`static void` `main(java.lang.String[] args)`
`void` `setValues(java.lang.String dbName, java.lang.String owner, java.lang.String name, java.lang.String tableName, java.lang.String tableOwner)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelDBValue

    public org.eclipse.swt.widgets.Label labelDBValue

### labelOwnerValue

    public org.eclipse.swt.widgets.Label labelOwnerValue

### textName

    public org.eclipse.swt.widgets.Text textName

### compositeName

    public org.eclipse.swt.widgets.Composite compositeName

Constructor Detail

### FullNameCompositeProvider

    public FullNameCompositeProvider()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### getComposite

    public org.eclipse.swt.widgets.Composite getComposite(org.eclipse.swt.widgets.Composite parent,
                                                          org.eclipse.ui.forms.widgets.FormToolkit formToolkit,
                                                          int style)

  Description copied from interface: `ICompositeProvider`
  return the visible part of this section and change the part's parent according to the parameter. The layout of the parent should be GridLayout

  Specified by:
    `getComposite` in interface `ICompositeProvider`
  Parameters:
    `parent` - the new parent of the returned object
    `formToolkit` - the form tool kit used to create widgets, could be null
    `style` - style flag to customize the composite
  Returns:

### setValues

    public void setValues(java.lang.String dbName,
                          java.lang.String owner,
                          java.lang.String name,
                          java.lang.String tableName,
                          java.lang.String tableOwner)

  Specified by:
    `setValues` in interface `INameCompositeProvider`

### getNameControl

    public org.eclipse.swt.widgets.Text getNameControl()

  Specified by:
    `getNameControl` in interface `INameCompositeProvider`